ll.htmlpage {annotate} | R Documentation

## Turn LocusLink ID's into a Clickable Web Page

### Description

Given a set of LocusLink accession numbers we create a web page with one element per gene that is clickable and produces the LL webpage for that gene.

### Usage

    ll.htmlpage(genelist, filename, title, othernames, table.head,
         table.center = TRUE, repository = "ll" )
    )

### Arguments

`genelist` | A character vector of gene names for LocusLink.
`filename` | The name of the file to store the HTML in.
`title` | A title for the web page
`othernames` | Other values to be included in the table
`table.head` | A character vector of column labels for the table
`table.center` | A logical indicating whether the table should be centered
`repository` | A character string for the name of a public repositories. Valid values include "ll", "ug"

### Details

A simple markup is used to provide clickable entries. Anyone that is energetic could greatly improve this.

### Value

No value is returned. The function is evaluated solely for the side effect of producing the file `filename`.

### Author(s)

R. Gentleman

### Examples

     gnames <- as.character(6810:6820)
     ll.htmlpage(gnames, "fff.html")

     file.remove("fff.html")

[Package Contents]